//
// Biff widget definition.
//

#ifndef BIFF_H
#define BIFF_H

#include <qwidget.h>
#include <qdatetm.h>
#include <qpixmap.h>


class Biff : public QWidget
{
    Q_OBJECT
public:
    Biff( QWidget *parent=0, const char *name=0 );

protected:
    void	timerEvent( QTimerEvent * );
    void	paintEvent( QPaintEvent * );
    void	mousePressEvent( QMouseEvent * );

private:
    QDateTime	lastModified;
    QPixmap	hasNewMail;
    QPixmap	noNewMail;
    QString	mailbox;
    bool	gotMail;
};


#endif // BIFF_H
